{ pkgs, nix-thunk }:
self: super:
with pkgs.haskell.lib; {
  # Override elements of the Haskell package set here.

  # Here, we get the tahoe-chk package from the chk.hs thunk, and use
  # callCabal2nix to get a nix derivation to build it.  See the comment in
  # ./nixpkgs-overlay.nix for a description of how to interact with nix
  # thunks.
  tahoe-chk = dontCheck (self.callCabal2nix "tahoe-chk" (nix-thunk.thunkSource ./dep/tahoe-chk) {});

  # We also ended up needing an override of the base32 library, which we
  # obtain from Hackage.
  base32 = self.callHackageDirect {
    pkg = "base32";
    ver = "0.2.1.0";
    sha256 = "04glpmwp50qi29h8cb5j0w1rz0ww30nw4xgj2a3l7zh1gprhwj89";
  } {};
}
